summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorKarl Berry <karl@freefriends.org>2020-03-21 16:57:38 +0000
committerKarl Berry <karl@freefriends.org>2020-03-21 16:57:38 +0000
commit39166786723f188c88fa8748411eb13b77341321 (patch)
tree65badd9fc9042927fde6c4b998bfb17b0fff9427
parent54c3140e67c41116370d93a5fb6fc27cc65cd031 (diff)
tl-update-images:locking; tl-update-auto: mirror day syntax
git-svn-id: svn://tug.org/texlive/trunk@54447 c570f23f-e606-0410-a88d-b1316a301751
-rwxr-xr-xMaster/tlpkg/bin/tl-update-auto9
-rwxr-xr-xMaster/tlpkg/bin/tl-update-images13
2 files changed, 16 insertions, 6 deletions
diff --git a/Master/tlpkg/bin/tl-update-auto b/Master/tlpkg/bin/tl-update-auto
index 1783e3367f0..78ba3b01f0c 100755
--- a/Master/tlpkg/bin/tl-update-auto
+++ b/Master/tlpkg/bin/tl-update-auto
@@ -13,7 +13,7 @@ chicken=echo
chicken=
#
verbose=echo
-verbose=false
+#verbose=false
#
# Toward the end of a release, we may want to update config.{guess,sub}
# but nothing else:
@@ -242,9 +242,9 @@ fi
fi # !config_scripts_only
-# ctan mirror list from ctan. Also skip if odd-numbered day,
+# ctan mirror list from ctan. Also skip if even-numbered day,
# just because daily seems a bit much.
-if $config_scripts_only || test `expr $(date +%d) % 2 = 0`; then :; else
+if $config_scripts_only || test `expr $(date +%d) % 2` = 1; then :; else
ctan_mirrors=$TMPDIR/mirrors # incoming data from CTAN
ctan_mirmon=$TMPDIR/mirmon.state
mirrors4tl=tlpkg/installer/ctan-mirrors.pl # massaged for TL
@@ -257,6 +257,9 @@ if $config_scripts_only || test `expr $(date +%d) % 2 = 0`; then :; else
rm -f $mirrors4tl.new
else
$chicken $mv $mirrors4tl.new $mirrors4tl
+ $verbose " $mirrors4tl update."
+ test $verbose >/dev/null \
+ && ls -l $ctan_mirrors $ctan_mirmon $mirrors4tl.new
update_list="$update_list $mirrors4tl"
fi
else
diff --git a/Master/tlpkg/bin/tl-update-images b/Master/tlpkg/bin/tl-update-images
index bf5768ee549..87a810d784a 100755
--- a/Master/tlpkg/bin/tl-update-images
+++ b/Master/tlpkg/bin/tl-update-images
@@ -11,14 +11,21 @@
# Send bug reports or suggestions to tex-live@tug.org.
# Historical notes at the end of the script.
+renice 20 $$ >/dev/null 2>&1
+LANG=C; export LANG
+LC_ALL=C; export LC_ALL
+unset CDPATH # avoid output from cd
+umask 022
+
+lockfile=/dev/shm/cron.tlimg.lock # so it'll go away on reboot
+lockfile -r 0 $lockfile || exit 1 # from procmail
+trap "rm -f $lockfile; exit 0;" 0 1 2 15
+
NAME=texlive
V=2020
D=`date +%Y%m%d`
target=/home/ftp/texlive/Images/test
-renice 20 $$ >/dev/null 2>&1
-umask 002
-unset CDPATH # avoid output from cd
XZ_OPT=-6e; export XZ_OPT # compression level, -9 for slowest-but-most,
# which is not worth the (excessive) time.